package modules

import "github.com/bwmarrin/discordgo"

type Command struct {
	Name    string
	Handler func(s *discordgo.Session, m *discordgo.MessageCreate, commands []string)
}

var Commands = []Command{
	Command{
		Name:    "!sendas",
		Handler: sendAs,
	},
	Command{
		Name:    "!editas",
		Handler: editAs,
	},
	Command{
		Name:    "!peektrust",
		Handler: viewTrustLevel,
	},
	Command{
		Name:    "!invite",
		Handler: createInvite,
	},
	Command{
		Name:    "!validate",
		Handler: checkUseInvite,
	},
	Command{
		Name:    "!trust",
		Handler: changeTrust,
	},
}
